PDA

View Full Version : Update Problems



Mr.Potat0
04-23-2012, 08:22 PM
I've bought The Lost Archive DLC, but unfortunately AC: Revelations needs patch 1.03 which needs 1.02 which need 1.01.
Don't know why he doesn't automatically update... or atleast show up on the ubisoft website.
Can anyone help me (maybe send links)?!

Ubi-MoshiMoshi
04-23-2012, 08:30 PM
Hi, please contact technical support, the link is in my signature.

Mr.Potat0
04-24-2012, 07:24 AM
Didn't help,
I've been trying to fix it but and finaly I started the game and it says that it's v1.03 at the bottom.
So I try and install the DLC BUT IT SAYS I NEED PATCH 1.03 WHICH I ALREADY HAVE!

Help?

Mr_Shade
04-24-2012, 11:34 AM
I'm sorry but you will need to use the support team for issues with install etc.

If they have contacted you with an answer which did not help, you need to reply and tell them that.

They will then investigate further.